//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  ShowFromFootOrMeter();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ShowFromFootOrMeter()
{
  if (RadioGroup1->ItemIndex == 0) {
	// Show the components for inches
	lblInput2->Visible = true;
	edInput2->Visible = true;
	edInput1->Text = "";
	edInput2->Text = "";
	// Show the names of the starting length units
	lblInput1->Caption = "foot";
	lblInput2->Caption = "inch";
  }
  else {
	// Hide the components for inches
	lblInput2->Visible = false;
	edInput2->Visible = false;
	edInput1->Text = "";
	// Show the name of the starting length unit
	lblInput1->Caption = "meter";
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RadioGroup1Click(TObject *Sender)
{
  ShowFromFootOrMeter();
  lblResult->Caption = "result...";
  edInput1->SetFocus();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnResultClick(TObject *Sender)
{
float  Foot, FootInteger, Inch, Meter;
String ResultFoot, ResultInch, ResultMeter;

if (RadioGroup1->ItemIndex == 0) {
	try {
	  // Convert the text of the EDITs to numerical values
	  if (Trim(edInput1->Text) == "")
		  Foot = 0;
	  else
		  Foot = StrToFloat(edInput1->Text);

	  if (Trim(edInput2->Text) == "")
		  Inch = 0;
	  else
		  Inch = StrToFloat(edInput2->Text);
	  // Convert to meter
	  Meter = (Foot * 0.3048) + (Inch * 0.3048 / 12);
	  // Convert the floating point number to string-format.
	  //  '0.00' is the "Format String", meaning:
	  //  format the result with 2 decimal digits to the right
	  //  of the decimal separator
	  ResultMeter = FormatFloat("0.00", Meter);
	  // Show the string in the CAPTION of lblResult
	  lblResult->Caption = ResultMeter + " meter";
	}
	catch (int) {
	  ShowMessage("Invalid number");
	}
} 
  else {
	  try {
	    // Convert the text of the EDIT to a numerical value
	    if (Trim(edInput1->Text) == "")
		    Meter = 0;
	    else
		    Meter = StrToFloat(edInput1->Text);

	    // Convert from meter to foot
	    Foot = Meter / 0.3048;
	    FootInteger = Int(Foot);
	    Inch = (Foot - FootInteger) * 12;
	    // Convert the floating point numbers to string-format.
	    //	'0' is the "Format String", meaning:
	    //	format the result with 0 decimal digits to the right
	    //	of the decimal separator
	    ResultFoot = FormatFloat('0', FootInteger);
	    ResultInch = FormatFloat('0', Inch);
	    // Show the result in the CAPTION of lblResult
	    lblResult->Caption = ResultFoot + " foot " + ResultInch + " inch";
    }
	  catch (int) {
	    ShowMessage("Invalid number");
	  }
  }
}
//---------------------------------------------------------------------------
